/*************************************************
		GAROUp Patch
*************************************************/

#include "driver.h"
#include "garoup_p1.c"
#include "garoup_p2.c"

static void neogeo_garoup_p1_patch(void)
{
	data8_t *mem8 = memory_region(REGION_CPU1);
	int i = 0;

	while (garoup_p1_address[i])
	{
		mem8[garoup_p1_address[i]] = garoup_p1_data[i];
		i++;
	}
}

static void neogeo_garoup_p2_patch(void)
{
	data8_t *mem8 = memory_region(REGION_CPU1) + 0x100000L;
	int i = 0;

	while (garoup_p2_address[i])
	{
		mem8[garoup_p2_address[i]] = garoup_p2_data[i];
		i++;
	}
}


void neogeo_garoup_patch(void)
{
	neogeo_garoup_p1_patch();
	neogeo_garoup_p2_patch();
}
